# -*- coding: utf-8 -*-
from setuphelpers import *
import socket
from string import ascii_letters
uninstallkey = []
import glob


def install():
    print('installing tis-check_mkagent')

    version_cmk = control['version'].split('-',1)[0]

    install_deb('check-mk-agent_{}-1_all.deb'.format(version_cmk))


def uninstall():
    uninstall_apt('check-mk-agent')


def update_package():
    host = "srvnagios.ad.tranquil.it"
    site = "tranquilit"
    cmk_version = '2.0.0p9'
    stripped_version = cmk_version.replace('p','.')
    filename_dl = 'check-mk-agent_{}-1_all.deb'.format(cmk_version)
    filename = 'check-mk-agent_{}-1_all.deb'.format(stripped_version)

    control = PackageEntry().load_control_from_wapt ('.')

    download_url = "http://{}/{}/check_mk/agents/{}".format(host,site,filename_dl)
    print('Downloading DEB from {}'.format(download_url))

    wget(download_url,filename)

    for fn in glob.glob('*.deb'):
        if fn != filename:
            remove_file(fn)

    print('Downloaded version is {}'.format(cmk_version))

    print(stripped_version)
    control.version = '{}-0'.format(stripped_version)
    control.save_control_to_wapt('.')


if __name__ == '__main__':
    update_package()
